matrix:
  unix_platform:
    - debian13
    - macos_arm64
    - ubuntu2404
    - ubuntu2404_arm64
  windows_platform:
    - windows
  bazel: [7.x, 8.x, 9.x, rolling]
tasks:
  unix_verify_targets:
    name: Verify build targets
    platform: ${{ unix_platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--cxxopt=-std=c++17'
      - '--process_headers_in_dependencies'
    build_targets:
      - '@boost.property_tree//:boost.property_tree'
  windows_verify_targets:
    name: Verify build targets
    platform: ${{ windows_platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--cxxopt=/std:c++17'
      - '--process_headers_in_dependencies'
    build_targets:
      - '@boost.property_tree//:boost.property_tree'
